Loading...
Searching...
No Matches
cast.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/exception.hpp>`
`#include <iomanip>`
`#include <sstream>`
`#include <string>`
Include dependency graph for cast.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | uhd
namespace | uhd::cast

## Functions

template<typename T>
T | uhd::cast::hexstr_cast (const std::string &in)
| Convert a hexadecimal string into a value.
template<typename T>
T | uhd::cast::fromstr_cast (const std::string &in)
template<typename data_t>
data_t | uhd::cast::from_str (const std::string &)
| Generic cast-from-string function.
template<>
UHD_API bool | uhd::cast::from_str (const std::string &val)
| Specialization of uhd::cast::from_str() for Boolean values.
template<>
UHD_API double | uhd::cast::from_str (const std::string &val)
| Specialization of uhd::cast::from_str() for double-precision values.
template<>
UHD_API int | uhd::cast::from_str (const std::string &val)
| Specialization of uhd::cast::from_str() for integer values.
template<>
UHD_API size_t | uhd::cast::from_str (const std::string &val)
| Specialization of uhd::cast::from_str() for size_t values.
template<>
UHD_API std::string | uhd::cast::from_str (const std::string &val)
| Specialization of uhd::cast::from_str() for strings.
UHD_API std::string | uhd::cast::to_ordinal_string (int val)
| Create an ordinal string from a number.